<?php

namespace App\Models;

class TeknisiModel
{
  public function __construct(
    private int $id,
    private int $userId,
    private ?string $namaUser,
    private ?string $username,
    private ?string $spesialisasi,
    private string $statusAktif,
    private string $createdAt,
    private ?string $updatedAt,
  ) {}

  // Getter

  public function getId(): int
  {
    return $this->id;
  }

  public function getUserId(): int
  {
    return $this->userId;
  }

  public function getNamaUser(): ?string
  {
    return $this->namaUser;
  }

  public function getUsername(): ?string
  {
    return $this->username;
  }

  public function getSpesialisasi(): ?string
  {
    return $this->spesialisasi;
  }

  public function getStatusAktif(): string
  {
    return $this->statusAktif;
  }

  public function getCreatedAt(): string
  {
    return $this->createdAt;
  }

  public function getUpdatedAt(): ?string
  {
    return $this->updatedAt;
  }
}
